### Method

# Soup MessageBody got_chunk

#### Declaration [src]

    void
    soup_message_body_got_chunk (
      SoupMessageBody* body,
      GBytes* chunk
    )

#### Description [src]

Handles the `SoupMessageBody` part of receiving a chunk of data from the network.

Normally this means appending `chunk` to `body`, exactly as with `soup_message_body_append_bytes()`, but if you have set `body`‘s accumulate flag to `FALSE`, then that will not happen.

This is a low-level method which you should not normally need to use.

#### Parameters

`chunk` | `GBytes`
| A `GBytes` received from the network.
| The data is owned by the caller of the function.